Represents a Salespeople Purchaser in SOFT4Spaces.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| salespeoplePurchaser | businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/salespeoplePurchasers |
Methods
| Method | Return Type | Description |
| GET salespeoplePurchaser | salespeoplePurchaser | Gets a salespeople purchaser object. |
| DELETE salespeoplePurchaser | none | Deletes a salespeople purchaser object. |
| POST salespeoplePurchaser | salespeoplePurchaser | Creates a salespeople purchaser object. |
| PATCH salespeoplePurchaser | salespeoplePurchaser | Updates a salespeople purchaser object. |
GET salespeoplePurchaser
Description
Retrieves an existing salespeople purchaser record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/salespeoplePurchasers
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the salesperson purchaser record.
Example Response
JSON
|
{ "id": "9dc73484-badc-ef11-9344-7c1e5276655f", "code": "JR", "name": "John Roberts", "commissionPercentage": 0, "eMail": "", "phoneNo": "", "privacyBlocked": false, "jobTitle": "", "globalDimension1Code": "", "globalDimension2Code": "", "nextTaskDate": "0001-01-01", "blocked": false, "systemCreatedAt": "2025-01-27T14:25:20.087Z", "systemCreatedBy": "7732bc76-52e0-4e48-91b8-c5baa372b367", "systemModifiedAt": "2025-01-27T14:25:46.147Z", "systemModifiedBy": "7732bc76-52e0-4e48-91b8-c5baa372b367" } |
POST customerBrands
Description
Creates a new salespeople purchaser record in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/salespeoplePurchasers
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
Provide a JSON object with salespeople purchaser data.
JSON
|
{ "code": "LM", "name": "Laura Mitchell", "commissionPercentage": 10 } |
Response
Returns a 201 Created status code and the created salespeople purchaser object.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the salesperson purchaser. Non-editable. |
| code | string | The code of the salesperson purchaser. |
| name | string | Specifies the salesperson purchaser's name. |
| commissionPercentage | decimal | Specifies the percentage to use to calculate the salesperson's commission. |
| string | Specifies the salesperson purchaser's email address. | |
| phoneNo | string | Specifies the salesperson's telephone number. |
| privacyBlocked | boolean | Specifies whether the privacy of the salesperson purchaser is blocked. |
| jobTitle | string | Specifies the salesperson's job title. |
| globalDimension1Code | string | Specifies the Global Dimension 1 value code. |
| globalDimension2Code | string | Specifies the Global Dimension 2 value code. |
| nextTaskDate | date | Specifies the date of the next task assigned to the salesperson. |
| blocked | boolean | Specifies that entries can't be posted to the salesperson purchaser. True indicates account is blocked and posting is not allowed. |
| systemCreatedAt | datetime | The datetime the salesperson purchaser was created. |
| systemCreatedBy | GUID | The ID of the user who created the salesperson purchaser. |
| systemModifiedAt | datetime | The last datetime the salesperson purchaser was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the salesperson purchaser. |
JSON Representation
|
{ "id": "GUID", "code": "string", "name": "string", "commissionPercentage": "decimal", "eMail": "string", "phoneNo": "string", "privacyBlocked": "boolean", "jobTitle": "string", "globalDimension1Code": "string", "globalDimension2Code": "string", "nextTaskDate": "date", "blocked": "boolean", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |